- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TInvalidPropertyException
TLazyLoadList
TObjectProxy
TPropertyAccess
TSqlMapApplicationCache
TSqlMapCache
TSqlMapConfig
TSqlMapConfigurationException
TSqlMapDuplicateException
TSqlMapException
TSqlMapExecutionException
TSqlMapFifoCache
TSqlMapGateway
TSqlMapLruCache
TSqlMapManager
TSqlMapPagedList
TSqlMapTypeHandler
TSqlMapTypeHandlerRegistry
TSqlMapUndefinedException

Keyword

# Class TSqlMapException

    Exception
       |
       --TException
          |
          --TSqlMapException

#### Direct Known Sub-classes:

TSqlMapConfigurationException , TSqlMapUndefinedException , TSqlMapDuplicateException , TInvalidPropertyException , TSqlMapExecutionException

TSqlMapException is the base exception class for all SqlMap exceptions.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constructor Summary
public | __construct Array Constructor, similar to the parent constructor. For parameters that are of SimpleXmlElement, the tag name and its attribute names and values are expanded into a string.

Method Summary
protected string | getErrorMessageFile ()
protected string | implodeNode ( SimpleXmlElement $node)

Methods Inherited From TException
TException::getErrorCode(), TException::getErrorMessage(), TException::getErrorMessageFile(), TException::setErrorCode(), TException::setErrorMessage(), TException::translateErrorMessage()

Constructor Details

## __construct

public __construct | Array

Constructor, similar to the parent constructor. For parameters that are of SimpleXmlElement, the tag name and its attribute names and values are expanded into a string.

Method Details

## getErrorMessageFile

protected string getErrorMessageFile | ()

Output
string | path to the error message file
Exception

## implodeNode

protected string implodeNode | (SimpleXmlElement $node )

Input
SimpleXmlElement | $node | node
Output
string | tag name and attribute names and values.
Exception